summaryrefslogtreecommitdiff
path: root/dev-python/mpmath
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/mpmath')
-rw-r--r--dev-python/mpmath/Manifest2
-rw-r--r--dev-python/mpmath/files/mpmath-1.0.0.patch9
-rw-r--r--dev-python/mpmath/metadata.xml22
-rw-r--r--dev-python/mpmath/mpmath-1.0.0.ebuild43
-rw-r--r--dev-python/mpmath/mpmath-1.1.0.ebuild42
5 files changed, 118 insertions, 0 deletions
diff --git a/dev-python/mpmath/Manifest b/dev-python/mpmath/Manifest
new file mode 100644
index 000000000000..c0576d534df1
--- /dev/null
+++ b/dev-python/mpmath/Manifest
@@ -0,0 +1,2 @@
+DIST mpmath-1.0.0.tar.gz 511349 BLAKE2B 62c6275f76c412043cdafef51815e4b5d055a63ca36f3f63b33957351b19e03419ca27f7d59641c580cf8e47c1ca45240b68b3040e2749b3de679eb45b15a28e SHA512 b225f237008e1cfee52b2f0dca0dce1445b932b6eaef92879d7feca30d728e3f88810bfa80882ad8776ba846a636807e59bebe0b9f690cd878c089e9418bd8b7
+DIST mpmath-1.1.0.tar.gz 2136921 BLAKE2B 8c3a5f39b48015aab1147aaf77ee7523dbffd7f34911ff2158d7b8bf1612e64f91d157494c5199b22090e986aba02044d610171bb92a2b230cdfbe025652e340 SHA512 628b6c61015825516d983bfcc54fc3a2793f3d9d2b93ba9c5a487a340ddf13eb4e83f17fa35692b22dd8a200a8da3a65ed88091d75abb4c48c9c4e4f2c686bcc
diff --git a/dev-python/mpmath/files/mpmath-1.0.0.patch b/dev-python/mpmath/files/mpmath-1.0.0.patch
new file mode 100644
index 000000000000..3a88f38c9927
--- /dev/null
+++ b/dev-python/mpmath/files/mpmath-1.0.0.patch
@@ -0,0 +1,9 @@
+diff -r -U1 mpmath-1.0.0.orig/setup.py mpmath-1.0.0/setup.py
+--- mpmath-1.0.0.orig/setup.py 2017-09-27 21:42:12.000000000 +0700
++++ mpmath-1.0.0/setup.py 2017-10-02 20:36:02.919554100 +0700
+@@ -15,4 +15,3 @@
+ 'mpmath.functions',
+- 'mpmath.matrices',
+- 'mpmath.tests'],
++ 'mpmath.matrices'],
+ classifiers=['Topic :: Scientific/Engineering :: Mathematics']
diff --git a/dev-python/mpmath/metadata.xml b/dev-python/mpmath/metadata.xml
new file mode 100644
index 000000000000..35fec2e67a91
--- /dev/null
+++ b/dev-python/mpmath/metadata.xml
@@ -0,0 +1,22 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer type="person">
+ <email>grozin@gentoo.org</email>
+ <name>Andrey Grozin</name>
+</maintainer>
+<maintainer type="project">
+ <email>sci-mathematics@gentoo.org</email>
+ <name>Gentoo Mathematics Project</name>
+</maintainer>
+<longdescription lang="en">
+ A Python library for arbitrary-precision floating-point arithmetic
+</longdescription>
+<use>
+ <flag name="matplotlib">Add support for <pkg>dev-python/matplotlib</pkg></flag>
+</use>
+<upstream>
+ <remote-id type="pypi">mpmath</remote-id>
+</upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/dev-python/mpmath/mpmath-1.0.0.ebuild b/dev-python/mpmath/mpmath-1.0.0.ebuild
new file mode 100644
index 000000000000..0b40bbf7c867
--- /dev/null
+++ b/dev-python/mpmath/mpmath-1.0.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+PYTHON_COMPAT=( python{3_6,3_7} )
+
+inherit distutils-r1 eutils
+
+DESCRIPTION="Python library for arbitrary-precision floating-point arithmetic"
+HOMEPAGE="http://mpmath.org/"
+SRC_URI="http://mpmath.org/files/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="amd64 ~arm ~ppc64 x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+
+IUSE="gmp matplotlib test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ gmp? ( dev-python/gmpy )
+ matplotlib? ( dev-python/matplotlib[${PYTHON_USEDEP}] )"
+DEPEND="${RDEPEND}
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+
+python_prepare_all() {
+ local PATCHES=(
+ "${FILESDIR}/${P}.patch"
+ )
+
+ # this fails with the current version of dev-python/py
+ rm ${PN}/conftest.py || die
+
+ # this test requires X
+ rm ${PN}/tests/test_visualization.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ py.test -v || die
+}
diff --git a/dev-python/mpmath/mpmath-1.1.0.ebuild b/dev-python/mpmath/mpmath-1.1.0.ebuild
new file mode 100644
index 000000000000..83effa8f6031
--- /dev/null
+++ b/dev-python/mpmath/mpmath-1.1.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python{3_6,3_7,3_8} )
+
+inherit distutils-r1 eutils
+
+DESCRIPTION="Python library for arbitrary-precision floating-point arithmetic"
+HOMEPAGE="http://mpmath.org/"
+SRC_URI="https://github.com/fredrik-johansson/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="amd64 ~arm ~ppc64 x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos"
+
+IUSE="gmp matplotlib test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ gmp? ( dev-python/gmpy )
+ matplotlib? ( dev-python/matplotlib[${PYTHON_USEDEP}] )"
+DEPEND="${RDEPEND}
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )"
+
+python_prepare_all() {
+ local PATCHES=(
+ "${FILESDIR}/${PN}-1.0.0.patch"
+ )
+
+ # this test requires X
+ rm ${PN}/tests/test_visualization.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ pushd ${PN}/tests >/dev/null
+ ${EPYTHON} runtests.py -local
+ popd >/dev/null
+}